/* Base styles for all screen sizes */
* {
  margin: 0;
  padding: 0;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  box-sizing: border-box;
}
body {
  background-color: #001c30;
  color: #fff;
}
h1 {
  text-align: center;
  margin: 100px auto 50px;
  font-weight: 600;
}
form {
  width: 90%;
  max-width: 600px;
  margin: auto;
  height: 80px;
  background: #176b87;
  display: flex;
  align-items: center;
  border-radius: 8px;
}
form input {
  flex: 1;
  height: 100%;
  border: 0;
  outline: 0;
  background: transparent;
  font-size: 18px;
  color: #fff;
  padding: 0 30px;
}
form button {
  padding: 0 40px;
  height: 100%;
  background: #64ccc5;
  color: #001c30;
  font-size: 18px;
  border: 0;
  outline: 0;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  cursor: pointer;
}
::placeholder {
  color: #fff;
  font-size: 18px;
}
#show-more-btn {
  background: #dafffb;
  color: #001c30;
  border: 0;
  outline: 0;
  padding: 10px 20px;
  border-radius: 4px;
  margin: 10px auto 100px;
  cursor: pointer;
  display: none;
}
#search-result {
  width: 80%;
  margin: 100px auto 50px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 40px;
}
#search-result img {
  width: 100%;
  height: 230px;
  object-fit: cover;
  border-radius: 5px;
}

/* Media Queries for responsiveness */
/* Adjust styles for smaller screens */
@media only screen and (max-width: 768px) {
  h1 {
    font-size: 28px;
  }
  form {
    height: 60px;
  }
  form input {
    font-size: 16px;
  }
  form button {
    font-size: 16px;
  }
  #search-result {
    grid-template-columns: 1fr 1fr;
  }
}

/* Adjust styles for even smaller screens */
@media only screen and (max-width: 480px) {
  h1 {
    font-size: 24px;
    margin: 60px auto 30px;
  }
  form {
    height: 50px;
  }
  form input {
    font-size: 14px;
    padding: 0 20px;
  }
  form button {
    font-size: 14px;
    padding: 0 30px;
  }
  #search-result {
    grid-template-columns: 1fr;
  }
}
